<template>
    <div>
        <v-dialog class=""
      v-model="view"
      persistent
      :max-width="width"
    >
      <v-card class="dark_dialog text-center">
          <v-row v-if="msg!=null && msg!=''">
              <v-col cols="10" v-if="close_icon" >
                  <h5 v-html="msg"></h5>
              </v-col>
              <v-col cols="12" v-else >
                  <h5 v-html="msg"></h5>
              </v-col><v-col cols="12">
              </v-col>
              <v-col cols="2" class="text-right" v-if="close_icon">
                  <v-icon @click="closeModel">mdi-close</v-icon>
              </v-col>
          </v-row>
        <slot />
        <v-card-actions class="pb-0" v-if="show_confirm || show_close">
          <v-spacer></v-spacer>
          <v-btn
            v-show="show_confirm"
            
            class="white--text ok_btn_clr"
            :loading="loading_btn"
            @click="goToFunction"
          >
            {{ confirm_button }}
          </v-btn>
          <v-btn
            v-if="!close_icon"
            :color="cancel_button_color"
            class="white--text"
            @click="closeModel"
            v-show="show_close"
          >
            {{ cancel_button}}
          </v-btn>
          <v-spacer></v-spacer>
        </v-card-actions>
      </v-card>
    </v-dialog>
    </div>
</template>
<script>
export default {
    props: {
        msg:{
            default:"",
        },
        loading: {
            default:false,
        },
        width: {
            default:"600"
        },
        confirm_button: {
            default:"Ok"
        },
        cancel_button: {
            default:"Cancel"
        },
        confirm_button_color : {
            default:"#E5007D"
        },
        cancel_button_color: {
            default:"black lighten--4"
        },
        show_close :{
            default : true,
        },
        show_confirm :{
            default : true,
        },
        close_icon : {
            default : false,
        }
    },
    data() {
        return {
            view        : false,
            loading_btn : false,
        }
    },
    mounted() {
    },
    methods:{
        closeModel() {
            this.view = false;
            this.$emit('close');
        },
        goToFunction() {
            if(this.loading==true) {
                this.loading_btn = true;
            }
            this.$emit('confirm');
        },
    }

}
</script>
